- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_data_source.h File Reference

Axis2 AXIOM XML data_source. More...

`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axiom_output.h>`
`#include <axutil_stream.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_data_source | axiom_data_source_t
| data_source struct Handles the XML data_source in OM
## Functions
AXIS2_EXTERN axiom_data_source_t * | axiom_data_source_create (const axutil_env_t *env, axiom_node_t *parent, axiom_node_t **node)
AXIS2_EXTERN void | axiom_data_source_free (struct axiom_data_source *om_data_source, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_data_source_serialize (struct axiom_data_source *om_data_source, const axutil_env_t *env, axiom_output_t *om_output)
AXIS2_EXTERN axutil_stream_t * | axiom_data_source_get_stream (struct axiom_data_source *om_data_source, const axutil_env_t *env)

## Detailed Description

Axis2 AXIOM XML data_source.